GXKB(1)

NAME
gxkb - X11 keyboard indicator and switcher.

SYNOPSIS
gxkb

DESCRIPTION

gxkb is a little indicator applet which allows one to quickly switch between different keyboard layouts in X. A flag corresponding to the country of the active layout is shown in the indicator area.

The applet is written in C and uses the GTK+ library and therefore does not depend on any GNOME components.

OPTIONS

-v  Print the version number of gxkb to standard output and list the features that it was built with.

-h  Print a usage message briefly summarizing these command-line options, then exit.

FILES
Full paths below may vary between installations. They are also affected by the XDG_CONFIG_HOME and XDG_DATA_HOME environment variables.

PREFIX/share/gxkb/flags/

    Directory with system-wide resources.

$XDG_CONFIG_HOME/gxkb/gxkb.cfg

    Settings for gxkb. If $XDG_CONFIG_HOME is either not set or empty, a default equal to $HOME/.config/gxkb/gxkb.cfg should be used. The configuration file should be created at first run and can be changed when gxkb is not running. The configuration for gxkb can be changed on the fly with the setxkbmap(1) command, in which case gxkb will update its configuration file upon exit.

$XDG_DATA_HOME/gxkb/flags

    User's own resources to replace flag images from PREFIX/share/gxkb/flags directory. If $XDG_DATA_HOME is either not set or empty, a default equal to $HOME/.local/share/gxkb/flags should be used.

AUTHOR
gxkb was written by Dmytro Poltavchenko <dmytro.poltavchenko@gmail.com>. This manual page was originally written for the Debian GNU/Linux system by Mateusz Łukasik <mati75@linuxmint.pl>.

SEE ALSO

  Regular Manual Pages
xkeyboard-config(7), setxkbmap(1)

  Home Page
https://zen-tools.github.io/gxkb